
From: NeilBrown <neilb@cse.unsw.edu.au>

The 'lastrun' time wasn't being initialised, so it could be half a
jiffie-cycle before it seemed to be time to do work again.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/bitmap.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/md/bitmap.c~md-make-sure-bitmap_daemon_work-actually-does-work drivers/md/bitmap.c
--- devel/drivers/md/bitmap.c~md-make-sure-bitmap_daemon_work-actually-does-work	2005-09-02 13:08:33.000000000 -0700
+++ devel-akpm/drivers/md/bitmap.c	2005-09-02 13:08:33.000000000 -0700
@@ -522,6 +522,7 @@ success:
 	/* assign fields using values from superblock */
 	bitmap->chunksize = chunksize;
 	bitmap->daemon_sleep = daemon_sleep;
+	bitmap->daemon_lastrun = jiffies;
 	bitmap->max_write_behind = write_behind;
 	bitmap->flags |= sb->state;
 	bitmap->events_cleared = le64_to_cpu(sb->events_cleared);
_
